View Issue Details

IDProjectCategoryView StatusLast Update
0001041OpenMPT[All Projects] Generalpublic2017-10-05 19:29
ReportermanxAssigned Tomanx 
PrioritylowSeverityminorReproducibilityN/A
Status assignedResolutionopen 
Platformx86 / x64OSWineOS Version(version plz)
Product Version 
Target VersionOpenMPT 1.?? (long term goals)Fixed in Version 
Summary0001041: Remove Wine 1.6 support
Description

Ubuntu 16.04 currently is the last distribution still running Wine 1.6 by default.
Ubuntu 17.04 already ships Wine 1.8, thus the next LTS release will no longer have Wine 1.6. We can probably remove Wine 1.6 support from whatever OpenMPT development version is current as soon as Ubuntu 18.04 ships.
This is desirable as Wine 1.6 support is the only thing that keeps us from using C++11 <thread> in all builds, because Wine 1.6 crashes with the implementation Microsoft used, even for the XP-targetting toolset.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-10-05 19:29 manx New Issue
2017-10-05 19:29 manx Status new => assigned
2017-10-05 19:29 manx Assigned To => manx